petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatSolveTranspose

Solves A' x = b, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolveTranspose(Mat mat,Vec b,Vec x)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the factored matrix
| b | - the right-hand-side vector

### Output Parameter

| x | - the result vector

### Notes

The vectors b and x cannot be the same. I.e., one cannot call MatSolveTranspose(A,x,x).

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatSolve(), MatSolveAdd(), MatSolveTransposeAdd()

### Level

developer

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages